# Studio

Animation or production company

| Field                 |                                                                                                                Argument | Type                                                                     | Description |
| --------------------- | ----------------------------------------------------------------------------------------------------------------------: | ------------------------------------------------------------------------ | ----------- |
| **id**                |                        [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md)! | The id of the studio                                                     |             |
| **name**              |                  [String](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/string/README.md)! | The name of the studio                                                   |             |
| **isAnimationStudio** |                [Boolean](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/boolean/README.md)! | If the studio is an animation studio or a different kind of company      |             |
| **media**             | [MediaConnection](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/object/mediaconnection/README.md) | The media the studio has worked on                                       |             |
| sort                  |            \[[MediaSort](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/enum/mediasort/README.md)] | The order the results will be returned in                                |             |
| isMain                |                 [Boolean](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/boolean/README.md) | If the studio was the primary animation studio of the media              |             |
| onList                |                 [Boolean](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/boolean/README.md) |                                                                          |             |
| page                  |                         [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md) | The page                                                                 |             |
| perPage               |                         [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md) | The amount of entries per page, max 25                                   |             |
| **siteUrl**           |                   [String](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/string/README.md) | The url for the studio page on the AniList website                       |             |
| **isFavourite**       |                [Boolean](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/boolean/README.md)! | If the studio is marked as favourite by the currently authenticated user |             |
| **favourites**        |                         [Int](https://github.com/AniList/ApiV2-GraphQL-Docs/blob/master/reference/scalar/int/README.md) | The amount of user's who have favourited the studio                      |             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://anilist.gitbook.io/anilist-apiv2-docs/docs/reference/object/studio.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
